Buildroot: %{_builddir}/%{name}-root
Name:		unicore-hila-emi-es
Version:        2.4.1
Release:	1.sl6
Summary:	UNICORE HiLA implementation for EMI ES
Group:		Applications/Internet
License:	BSD
URL:		http://www.unicore.eu/
Requires:       java-1.6.0-openjdk bash
BuildArch:      noarch
Packager:       Bjoern Hagemeier <unicore-support@lists.sourceforge.net>

BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-hila-emi-es-2.4.1-1.src.tar.gz


%description
The HiLA Grid API is an abstract API for accessing Grid resources.
This is an implementation for the EMI ES Grid Computing interface.

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
mvn install -Dmaven.repo.local=`pwd`/hila-emi-es/maven-repo -Phila-emi-es; cd hila-emi-es; mvn install -Dmaven.repo.local=`pwd`/maven-repo 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=2.4.1 -Dpackage.release=1 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files

%dir %attr(755 root root) "/usr/share/unicore"
%dir %attr(755 root root) "/usr/share/unicore/hila-plugins"
%attr(644 root root) "/usr/share/unicore/hila-plugins/*.jar"
%dir %attr(755 root root) "/usr/share/doc/unicore"
%dir %attr(755 root root) "/usr/share/doc/unicore/hila-emi-es"
%attr(644 root root) "/usr/share/doc/unicore/hila-emi-es/*-javadoc.jar"
%attr(644 root root) "/usr/share/doc/unicore/hila-emi-es/README"
%attr(644 root root) "/usr/share/doc/unicore/hila-emi-es/CHANGELOG"

%dir %attr(755 root root) "/etc/unicore/"
%dir %attr(755 root root) "/etc/unicore/hila"
%config(noreplace) %attr(644 root root) "/etc/unicore/hila/emi-es.properties"

%changelog

* Tue Mar 26 2013 Björn Hagemeier <b.hagemeier@fz-juelich.de> 2.4.1-1.sl6
-- Introduce RPM changelog
-- change example config file to ordinary file
